package com.iformall.service.kw;


import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.KwBoxCmdHistory;

import java.util.List;

public interface KwBoxCmdHistoryService {



    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<KwBoxCmdHistory> listAsPage(KwBoxCmdHistory record, Integer pageIndex, Integer pageSize);


    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    KwBoxCmdHistory getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(KwBoxCmdHistory record);


    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @return
     */
    List<KwBoxCmdHistory> findList(KwBoxCmdHistory record);

}